Bug 1478888 - Clevis should log privileged operations
Summary: Clevis should log privileged operations
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: clevis
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: rc
: ---
Assignee: Nathaniel McCallum
QA Contact: Jiri Jaburek
Mirek Jahoda
URL:
Whiteboard:
Depends On: 1507653
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-07 12:51 UTC by Dmitri Pal
Modified: 2018-04-10 18:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
_clevis_ now logs privileged operations With this update, the _clevis-udisks2_ subpackage logs all attempted key recoveries to the Audit log, and the privileged operations can be now tracked using the Linux Audit system.
Clone Of:
Environment:
Last Closed: 2018-04-10 18:27:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0985 0 None None None 2018-04-10 18:27:44 UTC

Description Dmitri Pal 2017-08-07 12:51:34 UTC
Clevis UDisks2 support performs privileged operations on behalf of an unprivileged user. For the purposes of auditing, this privilege transition needs to be logged.

When this issue is addressed an audit event should show in the log as result of using clevis with a flash memory drive.

Comment 3 Nathaniel McCallum 2017-08-07 14:22:24 UTC
UDisks2 support currently logs messages to standard error for the purposes of debugging. However, we need to log all attempted key recoveries to the audit log since this recovery occurred on data obtained with elevated privileges.

Comment 16 Nathaniel McCallum 2018-01-08 15:25:46 UTC
Clarification: clevis-udisks2 does logging. Not the entire framework.

Comment 19 errata-xmlrpc 2018-04-10 18:27:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0985


Note You need to log in before you can comment on or make changes to this bug.